Bug 486502 - System search results paying attention to systemID ordering when possible.
System search results paying attention to systemID ordering when possible.
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: WebUI (Show other bugs)
0.4
All Linux
low Severity medium
: ---
: ---
Assigned To: John Matthews
Jesus M. Rodriguez
:
Depends On:
Blocks: space05
  Show dependency treegraph
 
Reported: 2009-02-19 21:22 EST by John Matthews
Modified: 2009-09-17 03:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-17 03:10:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Matthews 2009-02-19 21:22:48 EST
Description of problem:

When returning system search results that share a similar score and have identical hostnames, sort them so higher systemIDs are on the bottom.
Comment 2 John Matthews 2009-02-19 23:13:08 EST
Fix implemented is to perform a sub-sort of results.
Results are first sorted by score.
Highest score is displayed on top.
Next if a series of scores are the same, we sort them on hostname, 
then rank them with highest systemId on top.


Example would be something like
Search for "orangebox"

orangebox <a href=.....id='10010'>
orangebox <a href=.....id='10009'>
orangebox <a href=.....id='10007'>
orngebx   <a href=.....id='10020'>
orngebx   <a href=.....id='10019'>




Addressed with these commits

http://git.fedorahosted.org/git/?p=spacewalk.git;a=commitdiff;h=628aeafda3cd32ef816aaad7e76f734b68eaa5f4

http://git.fedorahosted.org/git/?p=spacewalk.git;a=commitdiff;h=3c22143def764e86dcae010c48e5b3cccc9d9617
Comment 3 Jesus M. Rodriguez 2009-04-14 10:13:11 EDT
Spacewalk 0.5 released.
Comment 4 Miroslav Suchý 2009-09-17 03:10:31 EDT
Spacewalk 0.5 has been released for long time ago.

Note You need to log in before you can comment on or make changes to this bug.